<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.backendsys.mapper.Ai.AiGenerateVideoTimbreMapper">

    <sql id="includeAiGenerateVideoTimbre">
        id,
        timbre_key,
        name,
        category_id,
        tag,
        avatar,
        description,
        audio_url
    </sql>

    <resultMap id="resultMapAiGenerateVideoTimbre" type="java.util.LinkedHashMap">
        <id property="id" column="id" jdbcType="BIGINT" />
        <result property="timbre_key" column="timbre_key" javaType="java.lang.Integer"/>
        <result property="name" column="name"/>
        <result property="category_id" column="category_id" javaType="java.lang.Integer"/>
        <result property="tag" column="tag"/>
        <result property="avatar" column="avatar"/>
        <result property="description" column="description"/>
        <result property="audio_url" column="audio_url"/>
    </resultMap>

    <!-- 列表 -->
    <select id="queryAiGenerateVideoTimbre" resultMap="resultMapAiGenerateVideoTimbre">
        SELECT <include refid="includeAiGenerateVideoTimbre" />
        FROM ai_generate_video_timbre
    </select>

</mapper>